Index: /branches/version-2_11-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_11-dev/html/install/sql/insert_data.sql	(revision 21149)
+++ /branches/version-2_11-dev/html/install/sql/insert_data.sql	(revision 21182)
@@ -1107,5 +1107,5 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DEFAULT_PASSWORD', '"******"', 66, '会員登録変更(マイページ)パスワード用');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DELIV_ADDR_MAX', '20', 67, '別のお届け先最大登録数');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ORDER_STATUS_MAX', '50', 70, '管理画面ステータス一覧表示件数');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ORDER_STATUS_MAX', '50', 70, '対応状況管理画面の一覧表示件数');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('REVIEW_REGIST_MAX', '5', 71, 'フロントレビュー書き込み最大数');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DEBUG_MODE', 'false', 72, 'デバッグモード(true：sfPrintRやDBのエラーメッセージ、ログレベルがDebugのログを出力する、false：出力しない)');
Index: /branches/version-2_11-dev/html/user_data/packages/admin/css/admin_contents.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 20681)
+++ /branches/version-2_11-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 21182)
@@ -1137,5 +1137,5 @@
 /* 受注管理
 ----------------------------------------------- */
-/* ステータス管理 */
+/* 対応状況管理 */
 #order-status-list th.id {
     width: 40px;
Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/products.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/products.css	(revision 21162)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/products.css	(revision 21182)
@@ -198,5 +198,5 @@
 -webkit-border-radius: 0 0 7px 7px;
 }
-/*ステータスアイコン*/
+/* 商品ステータスアイコン */
 #detailrightblock .status_icon{
 padding:10px 12px;
Index: /branches/version-2_11-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_11-dev/data/mtb_constants_init.php	(revision 21038)
+++ /branches/version-2_11-dev/data/mtb_constants_init.php	(revision 21182)
@@ -94,5 +94,5 @@
 /** 別のお届け先最大登録数 */
 define('DELIV_ADDR_MAX', 20);
-/** 管理画面ステータス一覧表示件数 */
+/** 対応状況管理画面の一覧表示件数 */
 define('ORDER_STATUS_MAX', 50);
 /** フロントレビュー書き込み最大数 */
Index: /branches/version-2_11-dev/data/class_extends/page_extends/admin/order/LC_Page_Admin_Order_Status_Ex.php
===================================================================
--- /branches/version-2_11-dev/data/class_extends/page_extends/admin/order/LC_Page_Admin_Order_Status_Ex.php	(revision 20764)
+++ /branches/version-2_11-dev/data/class_extends/page_extends/admin/order/LC_Page_Admin_Order_Status_Ex.php	(revision 21182)
@@ -26,5 +26,5 @@
 
 /**
- * ステータス管理 のページクラス(拡張).
+ * 対応状況管理 のページクラス(拡張).
  *
  * LC_Page_Admin_Order_Status をカスタマイズする場合はこのクラスを編集する.
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 20970)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 21182)
@@ -189,5 +189,5 @@
         $objFormParam->addParam("終了月", "search_endmonth", INT_LEN, 'n', array("MAX_LENGTH_CHECK", "NUM_CHECK"));
         $objFormParam->addParam("終了日", "search_endday", INT_LEN, 'n', array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $objFormParam->addParam("ステータス", "search_product_flag", INT_LEN, 'n', array("MAX_LENGTH_CHECK"));
+        $objFormParam->addParam("商品ステータス", "search_product_flag", INT_LEN, 'n', array("MAX_LENGTH_CHECK"));
 
         // 規格プルダウン
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 21118)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 21182)
@@ -218,5 +218,5 @@
         $objFormParam->addParam("終了日", "search_endday", INT_LEN, 'n', array("MAX_LENGTH_CHECK", "NUM_CHECK"));
 
-        $objFormParam->addParam("ステータス", "search_product_flag", INT_LEN, 'n', array("MAX_LENGTH_CHECK"));
+        $objFormParam->addParam("商品ステータス", "search_product_flag", INT_LEN, 'n', array("MAX_LENGTH_CHECK"));
     }
 
@@ -341,5 +341,5 @@
             $arrValues[] = $date;
             break;
-        //ステータス
+        // 商品ステータス
         case 'search_product_flag':
             if(count($objFormParam->getValue($key)) > 0) {
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 20970)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 21182)
@@ -1103,5 +1103,5 @@
         }
 
-        // ステータス設定
+        // 商品ステータス設定
         $objProduct = new SC_Product_Ex();
         $objProduct->setProductStatus($product_id, $arrList['product_status']);
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 20970)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 21182)
@@ -419,5 +419,5 @@
             $this->objDb->updateProductCategories($arrCategory_id, $product_id);
         }
-        // ステータス登録
+        // 商品ステータス登録
         if($arrList['product_statuses'] != "") {
             $arrStatus_id = explode(',', $arrList['product_statuses']);
@@ -664,7 +664,7 @@
             $arrErr['category_ids'] = "※ 指定のカテゴリIDは、登録されていません。";
         }
-        // ステータスIDの存在チェック
+        // 商品ステータスIDの存在チェック
         if(!$this->lfIsArrayRecordMulti($this->arrSTATUS, 'product_statuses', $item, ',')) {
-            $arrErr['product_statuses'] = "※ 指定のステータスIDは、登録されていません。";
+            $arrErr['product_statuses'] = "※ 指定の商品ステータスIDは、登録されていません。";
         }
         // 支払い方法IDの存在チェック
Index: /branches/version-2_11-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 20970)
+++ /branches/version-2_11-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 21182)
@@ -26,5 +26,5 @@
 
 /**
- * ステータス管理 のページクラス.
+ * 対応状況管理 のページクラス.
  *
  * @package Page
@@ -48,5 +48,5 @@
         $this->tpl_subno = 'status';
         $this->tpl_maintitle = '受注管理';
-        $this->tpl_subtitle = 'ステータス管理';
+        $this->tpl_subtitle = '対応状況管理';
 
         $masterData = new SC_DB_MasterData_Ex();
@@ -102,15 +102,15 @@
                 }
 
-                //ステータス情報
+                // 対応状況
                 $status = !is_null($objFormParam->getValue('status')) ? $objFormParam->getValue('status') : "";
                 break;
 
             case 'search':
-                //ステータス情報
+                // 対応状況
                 $status = !is_null($_POST['status']) ? $objFormParam->getValue('status') : "";
                 break;
 
             default:
-                //ステータス情報
+                // 対応状況
                 //デフォルトで新規受付一覧表示
                 $status = ORDER_NEW;
@@ -118,5 +118,5 @@
         }
 
-        //ステータス情報
+        // 対応状況
         $this->SelectedStatus = $status;
         //検索結果の表示
@@ -130,6 +130,6 @@
     function lfInitParam(&$objFormParam) {
         $objFormParam->addParam("注文番号", "order_id", INT_LEN, 'n', array( "MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $objFormParam->addParam("変更前ステータス", 'status', INT_LEN, 'n', array( "MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $objFormParam->addParam("変更後ステータス", "change_status", STEXT_LEN, 'KVa', array( "MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $objFormParam->addParam("変更前対応状況", 'status', INT_LEN, 'n', array( "MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $objFormParam->addParam("変更後対応状況", "change_status", STEXT_LEN, 'KVa', array( "MAX_LENGTH_CHECK", "NUM_CHECK"));
         $objFormParam->addParam("ページ番号", "search_pageno", INT_LEN, 'n', array( "MAX_LENGTH_CHECK", "NUM_CHECK"));
         $objFormParam->addParam("移動注文番号", 'move', INT_LEN, 'n', array( "MAX_LENGTH_CHECK", "NUM_CHECK"));
@@ -165,5 +165,5 @@
     }
 
-    //ステータス一覧の表示
+    // 対応状況一覧の表示
     function lfStatusDisp($status,$pageno){
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -199,5 +199,5 @@
 
     /**
-     * ステータス情報の更新
+     * 対応状況の更新
      */
     function lfStatusMove($statusId, $arrOrderId) {
Index: /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21139)
+++ /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21182)
@@ -505,8 +505,8 @@
 
     /**
-     * 商品情報配列にステータス情報を追加する
+     * 商品情報配列に商品ステータス情報を追加する
      *
      * @param Array $arrProducts 商品一覧情報
-     * @param Array $arrStatus	ステータス配列
+     * @param Array $arrStatus	商品ステータス配列
      * @param Array $arrStatusImage スタータス画像配列
      * @return Array $arrProducts 商品一覧情報
Index: /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 21153)
+++ /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 21182)
@@ -37,8 +37,8 @@
 class LC_Page_Products_Detail extends LC_Page_Ex {
 
-    /** ステータス */
+    /** 商品ステータス */
     var $arrSTATUS;
 
-    /** ステータス画像 */
+    /** 商品ステータス画像 */
     var $arrSTATUS_IMAGE;
 
Index: /branches/version-2_11-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_11-dev/data/class/helper/SC_Helper_Purchase.php	(revision 21118)
+++ /branches/version-2_11-dev/data/class/helper/SC_Helper_Purchase.php	(revision 21182)
@@ -48,8 +48,8 @@
      * 実行中に, 何らかのエラーが発生した場合, 処理を中止しエラーページへ遷移する
      *
-     * 決済モジュールを使用する場合は受注ステータスを「決済処理中」に設定し,
+     * 決済モジュールを使用する場合は対応状況を「決済処理中」に設定し,
      * 決済完了後「新規受付」に変更すること
      *
-     * @param integer $orderStatus 受注処理を完了する際に設定する受注ステータス
+     * @param integer $orderStatus 受注処理を完了する際に設定する対応状況
      * @return void
      */
@@ -96,5 +96,5 @@
      * この関数は, 主に決済モジュールにて, 受注をキャンセルする場合に使用する.
      *
-     * 受注ステータスを引数 $orderStatus で指定したステータスに変更する.
+     * 対応状況を引数 $orderStatus で指定した値に変更する.
      * (デフォルト ORDER_CANCEL)
      * 引数 $is_delete が true の場合は, 受注データを論理削除する.
@@ -102,5 +102,5 @@
      *
      * @param integer $order_id 受注ID
-     * @param integer $orderStatus 受注ステータス
+     * @param integer $orderStatus 対応状況
      * @param boolean $is_delete 受注データを論理削除する場合 true
      * @return void
@@ -137,5 +137,5 @@
      * この関数は, 主に, 決済モジュールに遷移した後, 購入確認画面へ戻る場合に使用する.
      *
-     * 受注ステータスを引数 $orderStatus で指定したステータスに変更する.
+     * 対応状況を引数 $orderStatus で指定した値に変更する.
      * (デフォルト ORDER_CANCEL)
      * 引数 $is_delete が true の場合は, 受注データを論理削除する.
@@ -143,5 +143,5 @@
      *
      * @param integer $order_id 受注ID
-     * @param integer $orderStatus 受注ステータス
+     * @param integer $orderStatus 対応状況
      * @param boolean $is_delete 受注データを論理削除する場合 true
      * @return string 受注一時ID
@@ -763,5 +763,5 @@
         }
 
-        // 注文ステータスの指定が無い場合は新規受付
+        // 対応状況の指定が無い場合は新規受付
         if(SC_Utils_Ex::isBlank($orderParams['status'])) {
             $orderParams['status'] = ORDER_NEW;
@@ -840,5 +840,5 @@
             }
             /*
-             * 新規受付の場合は受注ステータス null で insert し,
+             * 新規受付の場合は対応状況 null で insert し,
              * sfUpdateOrderStatus で ORDER_NEW に変更する.
              */
@@ -908,5 +908,5 @@
      *
      * @param integer $order_id 受注ID
-     * @param boolean $has_order_status 受注ステータス, 入金日も含める場合 true
+     * @param boolean $has_order_status 対応状況, 入金日も含める場合 true
      * @return array 受注詳細の配列
      */
@@ -1148,9 +1148,9 @@
             $sqlval['use_point'] = $newUsePoint;
         }
-        // ステータスが発送済みに変更の場合、発送日を更新
+        // 対応状況が発送済みに変更の場合、発送日を更新
         if ($arrOrderOld['status'] != ORDER_DELIV && $newStatus == ORDER_DELIV) {
             $sqlval['commit_date'] = 'Now()';
         }
-        // ステータスが入金済みに変更の場合、入金日を更新
+        // 対応状況が入金済みに変更の場合、入金日を更新
         elseif ($arrOrderOld['status'] != ORDER_PRE_END && $newStatus == ORDER_PRE_END) {
             $sqlval['payment_date'] = 'Now()';
Index: /branches/version-2_11-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_11-dev/data/class/helper/SC_Helper_DB.php	(revision 21165)
+++ /branches/version-2_11-dev/data/class/helper/SC_Helper_DB.php	(revision 21182)
@@ -200,5 +200,5 @@
      * @param integer $use_point 利用ポイント
      * @param integer $add_point 加算ポイント
-     * @param integer $order_status 受注ステータス
+     * @param integer $order_status 対応状況
      * @return array オーダー前ポイントの配列
      */
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/order/status.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/order/status.tpl	(revision 21020)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/order/status.tpl	(revision 21182)
@@ -42,5 +42,5 @@
         <!--{/foreach}-->
         </div>
-    <h2>ステータス変更</h2>
+    <h2>対応状況変更</h2>
     <!--{* 登録テーブルここから *}-->
     <!--{if $tpl_linemax > 0}-->
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/order/subnavi.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/order/subnavi.tpl	(revision 20911)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/order/subnavi.tpl	(revision 21182)
@@ -27,4 +27,4 @@
     <li id="navi-order-status"
         class="<!--{if $tpl_mainno == 'order' && $tpl_subno == 'status'}-->on<!--{/if}-->"
-    ><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->order/status.php"><span>ステータス管理</span></a></li>
+    ><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->order/status.php"><span>対応状況管理</span></a></li>
 </ul>
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/system/plugin.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/system/plugin.tpl	(revision 20870)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/system/plugin.tpl	(revision 21182)
@@ -65,5 +65,5 @@
                 <th>サイトURL</th>
                 <th>説明</th>
-                <th>ステータス</th>
+                <th>商品ステータス</th>
                 <th>操作</th>
                 <th>設定</th>
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/products/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/products/index.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/products/index.tpl	(revision 21182)
@@ -143,5 +143,5 @@
         </tr>
         <tr>
-            <th>ステータス</th>
+            <th>商品ステータス</th>
             <td colspan="3">
             <!--{assign var=key value="search_product_flag"}-->
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/products/list.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 21172)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 21182)
@@ -182,7 +182,7 @@
                                                              });
 
-                     //ステータスをセット
-                     var statusAreaEl = $($(".list_area div.statusArea").get(maxCnt));
-                    //ステータスの削除
+                    // 商品ステータスをセット
+                    var statusAreaEl = $($(".list_area div.statusArea").get(maxCnt));
+                    // 商品ステータスの削除
                     statusAreaEl.empty();
 