Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/order/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/order/index.tpl	(revision 21116)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/order/index.tpl	(revision 21228)
@@ -68,4 +68,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/history.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 21196)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 21228)
@@ -133,4 +133,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/refusal.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/refusal.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/refusal.tpl	(revision 21228)
@@ -45,4 +45,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/change_confirm.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/change_confirm.tpl	(revision 21228)
@@ -108,4 +108,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/delivery.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 21169)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 21228)
@@ -88,4 +88,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/change.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/change.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/change.tpl	(revision 21228)
@@ -55,4 +55,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/index.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/index.tpl	(revision 21228)
@@ -83,4 +83,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/login.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/login.tpl	(revision 21144)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/login.tpl	(revision 21228)
@@ -97,4 +97,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/refusal_complete.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/refusal_complete.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/refusal_complete.tpl	(revision 21228)
@@ -49,4 +49,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/change_complete.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/change_complete.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/change_complete.tpl	(revision 21228)
@@ -40,4 +40,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/refusal_confirm.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/refusal_confirm.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/refusal_confirm.tpl	(revision 21228)
@@ -46,4 +46,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/favorite.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 21169)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 21228)
@@ -97,4 +97,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21169)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21228)
@@ -281,4 +281,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 21194)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 21228)
@@ -283,4 +283,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/nonmember_input.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/nonmember_input.tpl	(revision 21132)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/nonmember_input.tpl	(revision 21228)
@@ -371,4 +371,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/deliv.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21169)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21228)
@@ -103,4 +103,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 21157)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 21228)
@@ -98,4 +98,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/complete.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/complete.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/complete.tpl	(revision 21228)
@@ -62,4 +62,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21140)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21228)
@@ -120,4 +120,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 21159)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 21228)
@@ -145,4 +145,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/complete.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/complete.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/complete.tpl	(revision 21228)
@@ -46,4 +46,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/confirm.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/confirm.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/confirm.tpl	(revision 21228)
@@ -75,4 +75,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/regist/complete.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/regist/complete.tpl	(revision 21142)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/regist/complete.tpl	(revision 21228)
@@ -46,4 +46,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/abouts/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/abouts/index.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/abouts/index.tpl	(revision 21228)
@@ -110,4 +110,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/guide/privacy.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/guide/privacy.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/guide/privacy.tpl	(revision 21228)
@@ -45,4 +45,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/index.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/index.tpl	(revision 21228)
@@ -44,4 +44,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/complete.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/complete.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/complete.tpl	(revision 21228)
@@ -36,4 +36,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/confirm.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/confirm.tpl	(revision 21218)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/confirm.tpl	(revision 21228)
@@ -108,4 +108,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/kiyaku.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/kiyaku.tpl	(revision 21107)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/entry/kiyaku.tpl	(revision 21228)
@@ -49,4 +49,5 @@
 <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="search" />
 <input type="search" name="name" id="search" value="" placeholder="キーワードを入力" class="searchbox" >
 </form>