Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/delivery_addr.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/delivery_addr.tpl	(revision 21149)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/mypage/delivery_addr.tpl	(revision 21234)
@@ -33,5 +33,5 @@
        </div>
 
-       <form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTP_URL}-->mypage/delivery_addr.php">
+       <form name="form1" id="form1" method="post" action="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php">
            <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
            <input type="hidden" name="mode" value="edit" />
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/deliv.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21228)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21234)
@@ -32,5 +32,5 @@
 <!--▼フォームここから -->
 <div class="form_area">
-<form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTP_URL}-->shopping/deliv.php">
+<form name="form1" id="form1" method="post" action="<!--{$smarty.const.ROOT_URLPATH}-->shopping/deliv.php">
     <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
     <input type="hidden" name="mode" value="customer_addr" />
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 21228)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 21234)
@@ -57,5 +57,4 @@
 <section id="slidewindow">
 <h2 class="title"><!--{$tpl_title|h}--></h2>
-<!--<!--{$smarty.const.HTTP_URL}-->shopping/index.php-->
 <form name="member_form" id="member_form" method="post" action="javascript:;" onSubmit="return ajaxLogin()">
     <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21228)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21234)
@@ -40,5 +40,5 @@
 <!--▼フォームここから -->
 <div class="form_area">
-    <form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTP_URL}-->shopping/multiple.php">
+    <form name="form1" id="form1" method="post" action="<!--{$smarty.const.ROOT_URLPATH}-->shopping/multiple.php">
             <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
             <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->" />
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21228)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21234)
@@ -82,5 +82,5 @@
 </div>
 
-<form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTP_URL}-->shopping/confirm.php">
+<form name="form1" id="form1" method="post" action="<!--{$smarty.const.ROOT_URLPATH}-->shopping/confirm.php">
             <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
             <input type="hidden" name="mode" value="confirm" />
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 21228)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/payment.tpl	(revision 21234)
@@ -119,5 +119,5 @@
 <h2 class="title"><!--{$tpl_title|h}--></h2>
 
-<form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTP_URL}-->shopping/payment.php">
+<form name="form1" id="form1" method="post" action="<!--{$smarty.const.ROOT_URLPATH}-->shopping/payment.php">
             <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
             <input type="hidden" name="mode" value="confirm" />