Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/block.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/block.css	(revision 21163)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/block.css	(revision 21240)
@@ -32,5 +32,5 @@
 オススメ商品
 ----------------------------------------------- */
-#recomend_area{
+#recommend_area{
 margin:15px 10px 20px 10px;
 padding-top:10px;
@@ -40,12 +40,12 @@
 -moz-border-radius: 8px;
 }
-#recomend_area h2{
+#recommend_area h2{
 font-size:12px;
 margin-left:10px;
 }
-#recomend_area li{
+#recommend_area li{
 width:290px;
 }
-.recomendblock{
+.recommendblock{
 width:270px;
 padding:5px 10px 5px 8px;
@@ -53,17 +53,17 @@
 clear:both;
 }
-.recomendblock img{
+.recommendblock img{
 width:80px;
 float:left;
 }
-.recomendblock .productContents{
+.recommendblock .productContents{
 width:68%;
 float:right;
 text-align:left;
 }
-.recomendblock .productContents p{
-clear:both;
-}
-.recomendblock .productContents p.comment{
+.recommendblock .productContents p{
+clear:both;
+}
+.recommendblock .productContents p.comment{
 width:17em;
 height:3.7em;
@@ -74,10 +74,10 @@
 clear:both;
 }
-.recomendblock .sale_price{
+.recommendblock .sale_price{
 clear:both;
 float:right;
 text-align:right;
 }
-#recomend_area div.moveWrap {
+#recommend_area div.moveWrap {
 width:290px;
 height:auto;
@@ -88,5 +88,5 @@
 }
 
-#recomend_area ul.moveWrapBG {
+#recommend_area ul.moveWrapBG {
 margin:0;
 padding:0;
@@ -98,5 +98,5 @@
 -webkit-box-sizing:border-box;
 }
-#recomend_area div.slideMask {
+#recommend_area div.slideMask {
 margin:0 auto;
 padding:0;
@@ -108,5 +108,5 @@
 -webkit-box-sizing:border-box;
 }
-#recomend_area div.moveWrap>ul.move {
+#recommend_area div.moveWrap>ul.move {
 width:10000px;
 margin:0;
@@ -122,5 +122,5 @@
 display:none;
 }
-#recomend_area div.moveWrap>ul.move li.slideUnit {
+#recommend_area div.moveWrap>ul.move li.slideUnit {
 width:290px!important;
 margin:0;
@@ -131,5 +131,5 @@
 -webkit-box-sizing:border-box;
 }
-#recomend_area li.slideUnit>div {
+#recommend_area li.slideUnit>div {
 padding:4px;
 display:inline-block;
@@ -138,5 +138,5 @@
 -webkit-box-sizing:border-box;
 }
-#recomend_area div.flickSlideBottom {
+#recommend_area div.flickSlideBottom {
 width:100%;
 margin-top:5px;
@@ -151,5 +151,5 @@
 moz-border-bottom-left-radius:8px;
 }
-#recomend_area div.flickSlideBottom div.bottomLeft,#recomend_area div.flickSlideBottom div.bottomRight {
+#recommend_area div.flickSlideBottom div.bottomLeft,#recommend_area div.flickSlideBottom div.bottomRight {
 display:table-cell;
 -webkit-box-sizing:border-box;
@@ -158,5 +158,5 @@
 padding:0 10px;
 }
-#recomend_area div.flickSlideBottom div.bottomRight {
+#recommend_area div.flickSlideBottom div.bottomRight {
 font-size:16px;
 font-weight: bold;
@@ -168,5 +168,5 @@
 border-left:#DBDBDB solid 1px;
 }
-#recomend_area div.flickSlideBottom div.bottomLeft {
+#recommend_area div.flickSlideBottom div.bottomLeft {
 font-size:16px;
 font-weight: bold;
@@ -178,5 +178,5 @@
 border-right:#DBDBDB solid 1px;
 }
-#recomend_area div.flickSlideBottom div.bottomLeft:after {
+#recommend_area div.flickSlideBottom div.bottomLeft:after {
 font-size:10px;
 padding:5px;
@@ -184,5 +184,5 @@
 display:table-cell;
 }
-#recomend_area div.flickSlideBottom div.bottomLeft:before {
+#recommend_area div.flickSlideBottom div.bottomLeft:before {
 margin-top:2px;
 padding:5px;
@@ -190,5 +190,5 @@
 display:table-cell;
 }
-#recomend_area div.flickSlideBottom div.bottomRight:before {
+#recommend_area div.flickSlideBottom div.bottomRight:before {
 font-size:10px;
 padding:5px;
@@ -196,5 +196,5 @@
 display:table-cell;
 }
-#recomend_area div.flickSlideBottom div.bottomRight:after {
+#recommend_area div.flickSlideBottom div.bottomRight:after {
 margin-top:2px;
 padding:5px;
@@ -202,5 +202,5 @@
 display:table-cell;
 }
-#recomend_area div.flickSlideBottom ul.slidePager {
+#recommend_area div.flickSlideBottom ul.slidePager {
 width:100%;
 margin:0;
@@ -209,5 +209,5 @@
 text-align:center;
 }
-#recomend_area div.flickSlideBottom ul.slidePager li.slidePagerPointer {
+#recommend_area div.flickSlideBottom ul.slidePager li.slidePagerPointer {
 font-size:10px;
 width:6px;
@@ -220,5 +220,5 @@
 -moz-border-radius: 6px;
 }
-#recomend_area div.flickSlideBottom ul.slidePager li.slidePagerPointer.active {
+#recommend_area div.flickSlideBottom ul.slidePager li.slidePagerPointer.active {
 background-color:#333;
 }
Index: /branches/version-2_11-dev/html/user_data/packages/default/css/bloc.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/default/css/bloc.css	(revision 20408)
+++ /branches/version-2_11-dev/html/user_data/packages/default/css/bloc.css	(revision 21240)
@@ -98,5 +98,5 @@
 
 /* タイトルの背景 オレンジ */
-#recomend_area h2 ,
+#recommend_area h2 ,
 #news_area h2 {
     padding: 5px 0 8px 10px;
@@ -356,5 +356,5 @@
 /* 共通
 ----------------------------------------------- */
-#recomend_area .bloc_body ,
+#recommend_area .bloc_body ,
 #whobought_area .whobought_bloc {
     margin-bottom: 10px;
@@ -365,10 +365,10 @@
 }
 
-#recomend_area .bloc_body p ,
+#recommend_area .bloc_body p ,
 #whobought_area .whobought_bloc p {
     margin: 0 0 5px 0;
 }
 
-#recomend_area .bloc_body img ,
+#recommend_area .bloc_body img ,
 #whobought .whobought_bloc img {
     display: block;
@@ -377,5 +377,5 @@
 }
 
-#recomend_area .bloc_body h3 ,
+#recommend_area .bloc_body h3 ,
 #whobought_area .whobought_bloc h3 {
     font-size: 100%;
@@ -386,5 +386,5 @@
 /* 画像
 ----------------------------------------------- */
-#recomend_area .bloc_body .productImage ,
+#recommend_area .bloc_body .productImage ,
 #whobought_area .whobought_bloc .productImage {
     margin-bottom: 10px;
@@ -396,16 +396,16 @@
 /* 左右の振り分け
 ----------------------------------------------- */
-#one_maincolumn #recomend_area .recomendleft ,
-#two_maincolumn_right #recomend_area .recomendleft ,
-#two_maincolumn_left #recomend_area .recomendleft ,
-#three_maincolumn #recomend_area .recomendleft ,
+#one_maincolumn #recommend_area .recommendleft ,
+#two_maincolumn_right #recommend_area .recommendleft ,
+#two_maincolumn_left #recommend_area .recommendleft ,
+#three_maincolumn #recommend_area .recommendleft ,
 #whobought_area .whobought_bloc .whobought_left {
     float: left;
     width: 47.5%;
 }
-#one_maincolumn #recomend_area .recomendright ,
-#two_maincolumn_right #recomend_area .recomendright ,
-#two_maincolumn_left #recomend_area .recomendright ,
-#three_maincolumn #recomend_area .recomendright ,
+#one_maincolumn #recommend_area .recommendright ,
+#two_maincolumn_right #recommend_area .recommendright ,
+#two_maincolumn_left #recommend_area .recommendright ,
+#three_maincolumn #recommend_area .recommendright ,
 #whobought_area .whobought_bloc .whobought_right {
     float: right;
@@ -417,5 +417,5 @@
 ----------------------------------------------- */
 /* メインカラム用 1カラム時*/
-#one_maincolumn #recomend_area .bloc_body .productContents {
+#one_maincolumn #recommend_area .bloc_body .productContents {
     float: right;
     width: 74%;
@@ -423,6 +423,6 @@
 
 /* メインカラム用 2カラム時*/
-#two_maincolumn_right #recomend_area .bloc_body .productContents ,
-#two_maincolumn_left #recomend_area .bloc_body .productContents ,
+#two_maincolumn_right #recommend_area .bloc_body .productContents ,
+#two_maincolumn_left #recommend_area .bloc_body .productContents ,
 #two_maincolumn_right #whobought_area .whobought_bloc .productContents ,
 #two_maincolumn_left #whobought_area .whobought_bloc .productContents {
@@ -432,5 +432,5 @@
 
 /* メインカラム用 3カラム時*/
-#three_maincolumn #recomend_area .bloc_body .productContents ,
+#three_maincolumn #recommend_area .bloc_body .productContents ,
 #three_maincolumn #whobought_area .whobought_bloc .productContents {
     float: right;
@@ -439,5 +439,5 @@
 
 /* サイドカラム用 (幅px固定) */
-.side_column #recomend_area .bloc_body {
+.side_column #recommend_area .bloc_body {
     margin-top: 5px;
     margin-right: 0;
@@ -445,15 +445,15 @@
     padding: 0;
 }
-.side_column #recomend_area .bloc_body .productContents {
+.side_column #recommend_area .bloc_body .productContents {
     padding: 0;
     margin: 0;
     width: 80px;
 }
-.side_column #recomend_area .recomendleft {
+.side_column #recommend_area .recommendleft {
     padding: 0;
     width: 70px;
     float: left;
 }
-.side_column #recomend_area .recomendright {
+.side_column #recommend_area .recommendright {
     margin: 0;
     padding: 0;
@@ -463,5 +463,5 @@
 
 /* IE6以下*/
-* html .side_column #recomend_area .bloc_body {
+* html .side_column #recommend_area .bloc_body {
     width: 180px;
 }
Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/recommend.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/recommend.tpl	(revision 20764)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/recommend.tpl	(revision 21240)
@@ -22,9 +22,9 @@
 <!--{if count($arrBestProducts) > 0}-->
 <div class="bloc_outer clearfix">
-    <div id="recomend_area">
+    <div id="recommend_area">
         <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_recommend.jpg" alt="*" class="title_icon" /></h2>
         <!--{section name=cnt loop=$arrBestProducts step=2}-->
         <div class="bloc_body clearfix">
-            <div class="recomendleft clearfix">
+            <div class="recommendleft clearfix">
                 <div class="productImage">
                     <a href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrBestProducts[cnt].product_id|u}-->">
@@ -44,5 +44,5 @@
             </div>
 
-            <div class="recomendright clearfix">
+            <div class="recommendright clearfix">
                 <div class="productImage">
                     <!--{assign var=cnt2 value=`$smarty.section.cnt.iteration*$smarty.section.cnt.step-1`}-->
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/popup_header.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/popup_header.tpl	(revision 21157)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/popup_header.tpl	(revision 21240)
@@ -47,6 +47,6 @@
 <script type="text/javascript">    
     $(function(){
-        $('.recomendblock, .list_area, .newslist li,.bubbleBox,.arrowBox').biggerlink();
-        //$('.recomendblock, .newslist li,.bubbleBox,.arrowBox').biggerlink();
+        $('.recommendblock, .list_area, .newslist li,.bubbleBox,.arrowBox').biggerlink();
+        //$('.recommendblock, .newslist li,.bubbleBox,.arrowBox').biggerlink();
     });
 </script>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/site_frame.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 21170)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 21240)
@@ -46,5 +46,5 @@
 <script>//<![CDATA[
     $(function(){
-        $('.header_navi li,.recomendblock, .list_area, .newslist li, .bubbleBox, .arrowBox, .category_body, .navBox li,#mypagecolumn .cartitemBox').biggerlink();
+        $('.header_navi li,.recommendblock, .list_area, .newslist li, .bubbleBox, .arrowBox, .category_body, .navBox li,#mypagecolumn .cartitemBox').biggerlink();
     });
 //]]>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/recommend.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/recommend.tpl	(revision 21132)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/recommend.tpl	(revision 21240)
@@ -22,10 +22,10 @@
 <!-- ▼おすすめ商品 -->
 <!--{if count($arrBestProducts) > 0}-->
-<section id="recomend_area" class="mainImageInit">
+<section id="recommend_area" class="mainImageInit">
 <h2>おすすめ商品</h2>
 <ul>
 <!--{section name=cnt loop=$arrBestProducts step=2}-->
         <li id="mainImage<!--{$smarty.section.cnt.index}-->">
-            <div class="recomendblock clearfix">
+            <div class="recommendblock clearfix">
               <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrBestProducts[cnt].main_list_image|sfNoImageMainList|h}-->&amp;width=80&amp;height=80" alt="<!--{$arrBestProducts[cnt].name|h}-->" />
               <div class="productContents">
@@ -41,5 +41,5 @@
         <!--{if $arrBestProducts[$cnt2]|count > 0}-->
           <li id="mainImage<!--{$cnt2}-->">
-              <div class="recomendblock clearfix">
+              <div class="recommendblock clearfix">
                 <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrBestProducts[$cnt2].main_list_image|sfNoImageMainList|h}-->&amp;width=80&amp;height=80" alt="<!--{$arrBestProducts[$cnt2].name|h}-->" />
                 <div class="productContents">
@@ -62,5 +62,5 @@
 <!--//
 $(function(){
-    $('#recomend_area ul li').flickSlide({target:'#recomend_area>ul', duration:5000});
+    $('#recommend_area ul li').flickSlide({target:'#recommend_area>ul', duration:5000});
 });
 //-->