Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/recommend.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/recommend.tpl	(revision 21240)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/recommend.tpl	(revision 21253)
@@ -21,54 +21,31 @@
  *}-->
 <!--{if count($arrBestProducts) > 0}-->
-<div class="bloc_outer clearfix">
-    <div id="recommend_area">
-        <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_recommend.jpg" alt="*" class="title_icon" /></h2>
-        <!--{section name=cnt loop=$arrBestProducts step=2}-->
-        <div class="bloc_body clearfix">
-            <div class="recommendleft clearfix">
-                <div class="productImage">
-                    <a href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrBestProducts[cnt].product_id|u}-->">
-                        <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrBestProducts[cnt].main_list_image|sfNoImageMainList|h}-->&amp;width=80&amp;height=80" alt="<!--{$arrBestProducts[cnt].name|h}-->" /></a>
-                </div>
-                <div class="productContents">
-                    <h3>
-                        <a href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrBestProducts[cnt].product_id|u}-->"><!--{$arrBestProducts[cnt].name|h}--></a>
-                    </h3>
-                    <!--{assign var=price01 value=`$arrBestProducts[cnt].price01_min`}-->
-                    <!--{assign var=price02 value=`$arrBestProducts[cnt].price02_min`}-->
-                    <p class="sale_price"><!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)：
-                        <span class="price"><!--{$price02|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}--> 円</span>
-                    </p>
-                    <p class="mini comment"><!--{$arrBestProducts[cnt].comment|h|nl2br}--></p>
-                </div>
+    <div class="bloc_outer clearfix">
+        <div id="recommend_area">
+            <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_recommend.jpg" alt="*" class="title_icon" /></h2>
+            <div class="bloc_body clearfix">
+                <!--{foreach from=$arrBestProducts item=arrProduct name="recommend_products"}-->
+                    <div class="product_item clearfix">
+                        <div class="productImage">
+                            <a href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrProduct.product_id|u}-->">
+                                <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrProduct.main_list_image|sfNoImageMainList|h}-->&amp;width=80&amp;height=80" alt="<!--{$arrProduct.name|h}-->" />
+                            </a>
+                        </div>
+                        <div class="productContents">
+                            <h3>
+                                <a href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrProduct.product_id|u}-->"><!--{$arrProduct.name|h}--></a>
+                            </h3>
+                            <p class="sale_price">
+                                <!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)： <span class="price"><!--{$arrProduct.price02_min|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}--> 円</span>
+                            </p>
+                            <p class="mini comment"><!--{$arrProduct.comment|h|nl2br}--></p>
+                        </div>
+                    </div>
+                    <!--{if $smarty.foreach.recommend_products.iteration % 2 === 0}-->
+                        <div class="clear"></div>
+                    <!--{/if}-->
+                <!--{/foreach}-->
             </div>
-
-            <div class="recommendright clearfix">
-                <div class="productImage">
-                    <!--{assign var=cnt2 value=`$smarty.section.cnt.iteration*$smarty.section.cnt.step-1`}-->
-                    <!--{if $arrBestProducts[$cnt2]|count > 0}-->
-
-                    <a href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrBestProducts[$cnt2].product_id|u}-->">
-                    <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrBestProducts[$cnt2].main_list_image|sfNoImageMainList|h}-->&amp;width=80&amp;height=80" alt="<!--{$arrBestProducts[$cnt2].name|h}-->" /></a>
-                </div>
-                <div class="productContents">
-                    <h3>
-                        <a href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrBestProducts[$cnt2].product_id|u}-->"><!--{$arrBestProducts[$cnt2].name|h}--></a>
-                    </h3>
-
-                    <!--{assign var=price01 value=`$arrBestProducts[$cnt2].price01_min`}-->
-                    <!--{assign var=price02 value=`$arrBestProducts[$cnt2].price02_min`}-->
-
-                    <p class="sale_price"><!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)：
-                        <span class="price"><!--{$price02|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}--> 円</span>
-                    </p>
-                    <p class="mini comment"><!--{$arrBestProducts[$cnt2].comment|h|nl2br}--></p>
-                    <!--{/if}-->
-                </div>
-            </div>
-
         </div>
-        <!--{/section}-->
     </div>
-</div>
 <!--{/if}-->
Index: /branches/version-2_11-dev/html/user_data/packages/default/css/common.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/default/css/common.css	(revision 21080)
+++ /branches/version-2_11-dev/html/user_data/packages/default/css/common.css	(revision 21253)
@@ -122,4 +122,7 @@
 .clearfix {
     display: block; /* for IE8 */
+}
+.clear {
+    clear: both;
 }
 
Index: /branches/version-2_11-dev/html/user_data/packages/default/css/bloc.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/default/css/bloc.css	(revision 21240)
+++ /branches/version-2_11-dev/html/user_data/packages/default/css/bloc.css	(revision 21253)
@@ -361,5 +361,4 @@
     padding: 10px 0 10px;
     border: none;
-    width: 100%;
     background: url("../img/background/line_dot_01.gif") repeat-x bottom;
 }
@@ -372,6 +371,4 @@
 #recommend_area .bloc_body img ,
 #whobought .whobought_bloc img {
-    display: block;
-    float: left;
     margin: 0 5px 0 0;
 }
@@ -383,8 +380,14 @@
 }
 
+/* サイドカラム用 */
+.side_column #recommend_area .product_item {
+    margin-bottom: 10px;
+}
+
 
 /* 画像
 ----------------------------------------------- */
-#recommend_area .bloc_body .productImage ,
+/* メインカラム用 */
+.main_column #recommend_area .bloc_body .productImage,
 #whobought_area .whobought_bloc .productImage {
     margin-bottom: 10px;
@@ -392,20 +395,19 @@
     width: 90px;
 }
+/* サイドカラム用 */
+.side_column #recommend_area .bloc_body .productImage {
+    float: none;
+    text-align: center;
+    width: auto;
+}
 
 
 /* 左右の振り分け
 ----------------------------------------------- */
-#one_maincolumn #recommend_area .recommendleft ,
-#two_maincolumn_right #recommend_area .recommendleft ,
-#two_maincolumn_left #recommend_area .recommendleft ,
-#three_maincolumn #recommend_area .recommendleft ,
+.main_column #recommend_area .product_item,
 #whobought_area .whobought_bloc .whobought_left {
     float: left;
     width: 47.5%;
 }
-#one_maincolumn #recommend_area .recommendright ,
-#two_maincolumn_right #recommend_area .recommendright ,
-#two_maincolumn_left #recommend_area .recommendright ,
-#three_maincolumn #recommend_area .recommendright ,
 #whobought_area .whobought_bloc .whobought_right {
     float: right;
@@ -438,31 +440,6 @@
 }
 
-/* サイドカラム用 (幅px固定) */
-.side_column #recommend_area .bloc_body {
-    margin-top: 5px;
-    margin-right: 0;
-    width: 157px;
-    padding: 0;
-}
+/* サイドカラム用 */
 .side_column #recommend_area .bloc_body .productContents {
-    padding: 0;
-    margin: 0;
-    width: 80px;
-}
-.side_column #recommend_area .recommendleft {
-    padding: 0;
-    width: 70px;
-    float: left;
-}
-.side_column #recommend_area .recommendright {
-    margin: 0;
-    padding: 0;
-    width: 70px;
-    float: right;
-}
-
-/* IE6以下*/
-* html .side_column #recommend_area .bloc_body {
-    width: 180px;
-}
-
+    clear: both;
+}