Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21234)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21267)
@@ -39,8 +39,8 @@
     areaEl.toggle(speed);
     if (stateCartconfirm == 0) {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_plus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_plus.png");
         stateCartconfirm = 1;
     } else {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_minus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_minus.png");
         stateCartconfirm = 0
     }
@@ -51,8 +51,8 @@
     areaEl.toggle(speed);
     if (stateDelivconfirm == 0) {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_plus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_plus.png");
         stateDelivconfirm = 1;
     } else {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_minus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_minus.png");
         stateDelivconfirm = 0
     }
@@ -63,8 +63,8 @@
     areaEl.toggle(speed);
     if (stateOtherconfirm == 0) {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_plus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_plus.png");
         stateOtherconfirm = 1;
     } else {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_minus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_minus.png");
         stateOtherconfirm = 0
     }
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_footer.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_footer.tpl	(revision 21094)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_footer.tpl	(revision 21267)
@@ -28,5 +28,5 @@
     <li><a data-transition="slideup" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_favorite_off.png" alt="お気に入り" width="75" height="50" /></a></li>
 <!--{/if}-->
-<li><a rel="external" href="<!--{$smarty.const.CART_URLPATH|h}-->"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_cart_off.png" alt="カート" width="75" height="50" /></a></li>
-<li><a rel="external" href="<!--{$smarty.const.ROOT_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_home_off.png" alt="HOME" width="75" height="50" /></a></li>
+<li><a rel="external" href="<!--{$smarty.const.CART_URLPATH|h}-->"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_cart_off.png" alt="カゴの中を見る" width="75" height="50" /></a></li>
+<li><a rel="external" href="<!--{$smarty.const.ROOT_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_toppage_off.png" alt="トップページへ" width="75" height="50" /></a></li>
 </ul>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/products/detail.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 21226)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 21267)
@@ -49,8 +49,8 @@
     areaEl.slideToggle(speed);
     if (stateSub == 0) {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_plus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_plus.png");
         stateSub = 1;
     } else {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_minus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_minus.png");
         stateSub = 0
     }
@@ -61,8 +61,8 @@
     areaEl.slideToggle(speed);
     if (statewhobought == 0) {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_plus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_plus.png");
         statewhobought = 1;
     } else {
-        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/common/btn_minus.png");
+        $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_minus.png");
         statewhobought = 0
     }
@@ -296,5 +296,5 @@
     <h2>商品情報</h2>
      <!--{assign var=ckey value="sub_comment`$smarty.section.cnt.index+1`"}-->
-      <span class="b_expand"><img src="<!--{$TPL_URLPATH}-->img/common/btn_minus.png" onclick="fnSubToggle($('#sub_area'), this);" alt=""></span>
+      <span class="b_expand"><img src="<!--{$TPL_URLPATH}-->img/button/btn_minus.png" onclick="fnSubToggle($('#sub_area'), this);" alt=""></span>
        </div>
     <div id="sub_area">
@@ -338,5 +338,5 @@
 <div class="title_box_sub clearfix">
   <h2>その他のオススメ商品</h2>
-     <span class="b_expand"><img src="<!--{$TPL_URLPATH}-->img/common/btn_minus.png" onclick="fnWhoboughtToggle($('#whobought_area'), this);" alt=""></span>
+     <span class="b_expand"><img src="<!--{$TPL_URLPATH}-->img/button/btn_minus.png" onclick="fnWhoboughtToggle($('#whobought_area'), this);" alt=""></span>
       </div>
   